List a course's learners with their access and progress
GET /api/courses/{courseId}/learners. List a course's learners with their access and progress. Headless LMS Reporting API reference.
Requires progress:read. Everyone with a grant that opens the course, directly or through a bundle, active or not, each with that grant and their progress. Paged and searched by name or email.
Path Parameters
courseId*string
Query Parameters
page?integer
Range
1 <= value <= 9007199254740991Default
1pageSize?integer
Range
1 <= value <= 100Default
20search?string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/courses/string/learners"{ "rows": [ { "id": "string", "firstName": "string", "lastName": "string", "email": "string", "image": "string", "status": "active", "source": "string", "grantedAt": "string", "expiresAt": "string", "totalActivities": -9007199254740991, "completedActivities": -9007199254740991, "progress": -9007199254740991, "lastActivityAt": "string", "completedAt": "string" } ], "total": -9007199254740991, "page": -9007199254740991, "pageSize": -9007199254740991}{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}